<!-- tempaltes/base.html -->
<!DOCTYPE html>
<html lang="en">

{% comment %} {% load static %} {% endcomment %}

<head>
  <title>{% block title_prefix %}Uptime Pros Inc.{% endblock title_prefix %}{% block title_suffix %}{% endblock title_suffix %}</title>
  {% load staticfiles %}
  <meta charset="utf-8">
  <!-- boostrap v4.4.1 -->
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="stylesheet" href="{% static 'css/my.css' %}">
  <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
  <script src="{% static 'js/jquery-3.4.1.slim.min.js' %}"></script>
  {% comment %} <script src="{% static 'js/1.16.0.popper.min.js' %}"></script> <!-- included in bootstrap bundle --> {% endcomment %}
  <script src="{% static 'js/bootstrap.bundle.min.js' %}"></script>
  
  <!-- Global site tag (gtag.js) - Google Analytics -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=UA-160032329-2"></script>
  <script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());
  gtag('config', 'UA-160032329-2');
  </script>

  <!-- Global site tag (gtag.js) - Google Analytics -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=UA-160032329-1">
  </script>
  <script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());
  gtag('config', 'UA-160032329-1');
  </script>

</head>


<body class="my-body d-flex">


<nav class="navbar navbar-expand-md bg-dark navbar-dark container sticky-top text-nowrap">
  <div class="container-fluid">
    <div class="navbar-header">
      <a href="{% url 'home' %}">
        <div class="navbar-brand"><img src="static/images/logo_no_outline.png" alt="logo with link to home page" class="my-navbar-img"></div>
        <span class="mx-auto"><div class="navbar-brand">Uptime Pros</div></span>
      </a>
    </div>
    <button class="navbar-toggler" type="button" alt="button for expanding navigation bar options" data-toggle="collapse" data-target="#collapsibleNavbar">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="collapsibleNavbar">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" href="{% url 'about' %}">About</a>
        </li>
        {% comment %} <li class="nav-item">
          <a class="nav-link" href="{% url 'blog' %}">Blog</a>
        </li> {% endcomment %}
        <li class="nav-item">
          <a class="nav-link" href="{% url 'services' %}">Services</a>
        </li>
        <li class="nav-item dropdown bg-dark navbar-dark">
          <a class="nav-link dropdown-toggle" id="code_dropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Source Code</a>
          <div class="dropdown-menu" aria-labelledby="code_dropdown">
            <a class="dropdown-item nav-item" href="https://github.com/josh-dix" target="_blank">GitHub</a>
            <a class="dropdown-item nav-item" href="https://gitlab.com/jdix" target="_blank">GitLab</a>
          </div>
        </li>
        {% comment %} <li class="nav-item">
          <a class="nav-link" href="{% url 'testimonials' %}">Testimonials</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'careers' %}">Careers</a>
        </li>{% endcomment %}
      </ul>
    </div>
  </div>
</nav>


<main>
  <div class="container mb-auto" style="margin-top:10px">
    <div class="row align-items-start">
      {% block content %}
      {% endblock content %}
    </div>
  </div>
</main>

<div class="d-flex p-2 justify-content-around my-footer-div mt-auto">
  <div class="d-flex flex-row flex-wrap">
    <div class="p-2 text-center" style="align-items:center;display:flex">
      <p class="my-footer-font">716.359.5617
      <br><a href="mailto:sales@uptimepros.com?Subject=Sales Inquiry" class="my-footer-a">sales@uptimepros.com</a>
      <br><a href="mailto:support@uptimepros.com?Subject=Support Inquiry" class="my-footer-a">support@uptimepros.com</a></p>
    </div>
    <div class="p-2 text-center" style="align-items:center;display:flex">
      <p class="my-footer-font"><a href="{% url 'about' %}" class="my-footer-a">About</a>
      <br><a href="mailto:inquiries@uptimepros.com?Subject=Question" class="my-footer-a">Contact Us</a></p>
    </div>
    <div class="p-2 text-center" style="align-items:center;display:flex">
      <p class="my-footer-font"><a href="https://www.linkedin.com/company/uptime-pros" target="_blank" class="my-footer-a">LinkedIn</a>
      {% comment %} <br><a href="https://www.youtube.com/channel/UCEd4zr2DVsoZ9UcXXv8ZamA">YouTube</a>
      <br><a href="https://www...">Facebook</a>
      <br><a href="https://www...">Instagram</a> {% endcomment %}
      <br><a href="https://twitter.com/UptimePros" target="_blank" class="my-footer-a">Twitter</a></p>
    </div>
  </div>
</div>

</body>
</html>